#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int brojcifara(int);
int racun(int, int, int);
int main()
{
    int a, b, c, max;
    scanf("%d %d %d", &a, &b, &c);

    max = racun(a, b, c);
    if(racun(a, c, b) > max)
        max = racun(a, c, b);
    if(racun(b, c, a) > max)
        max = racun(b, c, a);
    if(racun(b, a, c) > max)
        max = racun(b, a, c);
    if(racun(c, a, b) > max)
        max = racun(c, a, b);
    if(racun(c, b, a) > max)
        max = racun(c, b, a);

    printf("%d", max);

    return 0;
}
int brojcifara(int n)
{
    int br;
    for(br = 0; n > 0; n /= 10)
        br++;
        return br;
        }
int racun(int x, int z, int y)
{
    return x * pow(10, brojcifara(y) + brojcifara(z)) + y * pow(10, brojcifara(z)) + z;
}